Package Base Details: spyder-git

Git Clone URL: https://aur.archlinux.org/spyder-git.git (read-only)
Submitter: willemw
Maintainer: willemw
Last Packager: willemw
Votes: 21
Popularity: 1.565398
First Submitted: 2015-02-24 08:52
Last Updated: 2019-07-22 06:37

Packages (2)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 Next › Last »

contrebasse commented on 2015-08-25 08:26

spyderlib/userconfig.py has been replaced by spyderlib/config/user.py.

willemw commented on 2015-07-09 08:26

@contrebasse: The issue could be something specific on your system.

Try to isolate the problem, if you want. Are the read-only files owned by root? Is /tmp/makepkg only used by yaourt? My yaourt temp files are in yaourt specific directory /tmp/yaourt-tmp-$USER. Did you change /etc/yaourtrc? Try running makepkg directly. Or try pacaur, which cleans up after a build (Default: cleandevel=true # clean up devel package).

contrebasse commented on 2015-07-09 08:08

The fix didn't change anything, that's really weird. The problem appears only when there is an update to the git repo (that's why I was slow to answer).

There are lots of files in /tmp/makepkg/spyder-git/src/spyder/.git/objects/ but only one or two are read-only.

willemw commented on 2015-06-25 08:58

@contrebasse: no, the prepare() in this package does not do anything special.
Tried yaourt and also makepkg directly. Cannot reproduce the error. However, prepare() now removes directory src/spyder3 before it is recreated. Please, check the fix.

contrebasse commented on 2015-06-23 07:27

Removing /tmp/makepkg/spyder-git works, but the error reappears later. Since only this -git package fails, I wonder if it does something special ? The copy fails because the target file already exists and is read-only for everyone.

willemw commented on 2015-06-22 15:00

Maybe your build files are corrupt or maybe the filesystem partition is full? You could try removing the yaourt build files (usually in /tmp) and then try to update or install again.

contrebasse commented on 2015-06-22 08:31

I have this error trying to update or to install:

==> Starting prepare()...
cp: cannot create regular file 'spyder3/spyder/.git/objects/pack/pack-6d2f84dbed384e743fdf635633696c21b1fb9a68.pack': Permission denied
cp: cannot create regular file 'spyder3/spyder/.git/objects/pack/pack-6d2f84dbed384e743fdf635633696c21b1fb9a68.idx': Permission denied
==> ERROR: A failure occurred in prepare().

I use yaourt as a standard user.

willemw commented on 2015-02-24 08:55

@davidovitch: Thanks.
Spyder-hg and spyder3-hg have now moved to spyder-git and spyder3-git.

davidovitch commented on 2015-02-24 08:29

Notice that since a few days the official code repository changed from Bitbucket to Github: https://github.com/spyder-ide/spyder

willemw commented on 2014-07-23 17:04

Changed package names (spyder-hg to spyder3-hg and spyder2-hg to spyder-hg).
You may need to uninstall spyder package(s), before being able to upgrade.